/*
 * Class EV_HEADER_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1212 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1212 [] = {0xFF01,1551,1211,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1212 [] = {0xFF01,1211,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1212 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1212 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1212 [] = {0xFF01,1211,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1212 [] = {0xFF01,1211,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1212 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1212 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1212 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1212 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1212 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1212 [] = {0xFF01,1211,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1212 [] = {0xFF01,0xFF01,1107,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1212 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1212 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1212 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1212 [] = {0xFF01,74,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1212 [] = {0xFF01,1670,869,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1212 [] = {0xFF01,1030,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1212 [] = {0xFF01,1201,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1212 [] = {0xFF01,1087,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1212 [] = {0xFF01,1249,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1212 [] = {0xFF01,996,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1212 [] = {0xFF01,638,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1212 [] = {0xFF01,638,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1212 [] = {0xFF01,645,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1212 [] = {0xFF01,645,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1212 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1212 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1212 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1212 [] = {1548,0xFF01,0,0xFF01,0xFFF9,4,840,0xFF01,1111,0xFF01,1567,0xFF01,133,0xFF01,999,0,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1212 [] = {0xFF01,1131,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1212 [] = {0xFF01,972,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1212 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1212 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1212 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1212 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1578,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_42_1212 [] = {1583,0xFF01,0xFFF9,1,840,0xFF01,1578,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_43_1212 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_44_1212 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1578,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_45_1212 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_46_1212 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_47_1212 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_48_1212 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_49_1212 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_50_1212 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_51_1212 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_52_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_53_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_54_1212 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_55_1212 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_56_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_57_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_58_1212 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_59_1212 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_60_1212 [] = {0xFF01,643,0xFFFF};
static const EIF_TYPE_INDEX egt_61_1212 [] = {0xFF01,643,0xFFFF};
static const EIF_TYPE_INDEX egt_62_1212 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_63_1212 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_64_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_65_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_66_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_67_1212 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_68_1212 [] = {0xFF01,634,0xFFFF};
static const EIF_TYPE_INDEX egt_69_1212 [] = {0xFF01,634,0xFFFF};
static const EIF_TYPE_INDEX egt_70_1212 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0xFF01,279,0xFFFF};
static const EIF_TYPE_INDEX egt_71_1212 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0xFF01,279,0xFFFF};
static const EIF_TYPE_INDEX egt_72_1212 [] = {0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_73_1212 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_74_1212 [] = {1594,0xFF01,0,0xFF01,0xFFF9,2,840,869,869,681,0xFFFF};
static const EIF_TYPE_INDEX egt_75_1212 [] = {1595,0xFF01,0,0xFF01,0xFFF9,1,840,0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_76_1212 [] = {0xFF01,1084,0xFFFF};
static const EIF_TYPE_INDEX egt_77_1212 [] = {0xFF01,1084,0xFFFF};
static const EIF_TYPE_INDEX egt_78_1212 [] = {0xFF01,1607,0xFF01,1084,0xFFFF};
static const EIF_TYPE_INDEX egt_79_1212 [] = {0xFF01,1084,0xFFFF};
static const EIF_TYPE_INDEX egt_80_1212 [] = {0xFF01,1084,0xFFFF};
static const EIF_TYPE_INDEX egt_81_1212 [] = {0xFF01,1567,0xFF01,1084,0xFFFF};
static const EIF_TYPE_INDEX egt_82_1212 [] = {0xFF01,1084,0xFFFF};
static const EIF_TYPE_INDEX egt_83_1212 [] = {0xFF02,1084,0xFFFF};
static const EIF_TYPE_INDEX egt_84_1212 [] = {0xFF01,639,0xFFFF};
static const EIF_TYPE_INDEX egt_85_1212 [] = {0xFF01,639,0xFFFF};
static const EIF_TYPE_INDEX egt_86_1212 [] = {0xFF01,639,0xFFFF};
static const EIF_TYPE_INDEX egt_87_1212 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,1084,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_88_1212 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,1084,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_89_1212 [] = {1583,0xFF01,0xFFF9,4,840,1084,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_90_1212 [] = {1583,0xFF01,0xFFF9,4,840,1084,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_91_1212 [] = {0xFF01,639,0xFFFF};
static const EIF_TYPE_INDEX egt_92_1212 [] = {0xFF01,639,0xFFFF};
static const EIF_TYPE_INDEX egt_93_1212 [] = {0xFF01,639,0xFFFF};
static const EIF_TYPE_INDEX egt_94_1212 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,1084,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_95_1212 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,1084,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_96_1212 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_97_1212 [] = {0xFF01,963,0xFFFF};


static const struct desc_info desc_1212[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1212), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1212), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1212), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1212), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1212), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1212), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1212), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1212), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1212), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1212), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1212), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1212), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0977 /*1211*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1212), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1212), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x08A7 /*1107*/), 27985, 112},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 163},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1212), 7561, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1212), 7562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7563, 156},
	{EIF_GENERIC(egt_16_1212), 7564, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1212), 7565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x090F /*1159*/), 7566, 44},
	{EIF_NON_GENERIC(0x090F /*1159*/), 7567, 48},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7568, 166},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7549, 168},
	{EIF_GENERIC(egt_18_1212), 7550, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1212), 7551, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1212), 7552, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7553, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1212), 7554, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1212), 7555, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7556, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0827 /*1043*/), 7557, 52},
	{EIF_GENERIC(egt_23_1212), 7558, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7559, 170},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7560, 172},
	{EIF_GENERIC(egt_24_1212), 7173, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04FD /*638*/), 7174, 8},
	{EIF_GENERIC(egt_26_1212), 7175, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x050B /*645*/), 7176, 12},
	{EIF_GENERIC(egt_28_1212), 7177, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7178, 16},
	{EIF_GENERIC(egt_30_1212), 7179, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04ED /*630*/), 7180, 20},
	{EIF_NON_GENERIC(0x01 /*0*/), 27384, 124},
	{EIF_GENERIC(egt_32_1212), 27385, 128},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27386, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1212), 27387, 132},
	{EIF_NON_GENERIC(0x0791 /*968*/), 27388, 136},
	{EIF_NON_GENERIC(0x0791 /*968*/), 27389, 140},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27391, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27392, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27393, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27394, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27395, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27397, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27399, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27400, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27401, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27403, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27404, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27405, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27362, 161},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 27367, 174},
	{EIF_NON_GENERIC(0x06DD /*878*/), 27368, 176},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27369, 162},
	{EIF_NON_GENERIC(0x069B /*845*/), 27370, 164},
	{EIF_NON_GENERIC(0x069B /*845*/), 27371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 27372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 27373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 27374, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27375, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0553 /*681*/), 27377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07CF /*999*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27380, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1212), 27381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1212), 27382, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1212), 6133, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1212), 6134, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6135, 0},
	{EIF_NON_GENERIC(0x051D /*654*/), 6136, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27018, 184},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07A7 /*979*/), 27020, 120},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27021, 157},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27022, 158},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27024, 159},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27025, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07A9 /*980*/), 27026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07A9 /*980*/), 27027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27028, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27029, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27037, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_1212), 27038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0B8D /*1478*/), 27039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x09BB /*1245*/), 27040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0B8D /*1478*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27042, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27043, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27044, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27046, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27047, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27061, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27062, 160},
	{EIF_GENERIC(NULL), 27063, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1212), 26859, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_1212), 26860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_1212), 7937, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_1212), 7938, 56},
	{EIF_GENERIC(egt_43_1212), 7939, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_1212), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0511 /*648*/), 7940, 60},
	{EIF_GENERIC(egt_46_1212), 7941, 0xFFFFFFFF},
	{EIF_GENERIC(egt_47_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051F /*655*/), 7942, 64},
	{EIF_GENERIC(egt_48_1212), 7943, 0xFFFFFFFF},
	{EIF_GENERIC(egt_49_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051F /*655*/), 7944, 68},
	{EIF_GENERIC(egt_50_1212), 7945, 0xFFFFFFFF},
	{EIF_GENERIC(egt_51_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051F /*655*/), 7946, 72},
	{EIF_GENERIC(egt_52_1212), 7947, 0xFFFFFFFF},
	{EIF_GENERIC(egt_53_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7948, 76},
	{EIF_GENERIC(egt_54_1212), 7949, 0xFFFFFFFF},
	{EIF_GENERIC(egt_55_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0501 /*640*/), 7950, 80},
	{EIF_GENERIC(egt_56_1212), 7951, 0xFFFFFFFF},
	{EIF_GENERIC(egt_57_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7952, 84},
	{EIF_GENERIC(egt_58_1212), 7925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_59_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04F9 /*636*/), 7926, 88},
	{EIF_GENERIC(egt_60_1212), 7927, 0xFFFFFFFF},
	{EIF_GENERIC(egt_61_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0507 /*643*/), 7928, 92},
	{EIF_GENERIC(egt_62_1212), 7929, 0xFFFFFFFF},
	{EIF_GENERIC(egt_63_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04F9 /*636*/), 7930, 96},
	{EIF_GENERIC(egt_64_1212), 7931, 0xFFFFFFFF},
	{EIF_GENERIC(egt_65_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7932, 100},
	{EIF_GENERIC(egt_66_1212), 7933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_67_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7934, 104},
	{EIF_GENERIC(egt_68_1212), 7935, 0xFFFFFFFF},
	{EIF_GENERIC(egt_69_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04F5 /*634*/), 7936, 108},
	{EIF_GENERIC(egt_70_1212), 26637, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26638, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26639, 0xFFFFFFFF},
	{EIF_GENERIC(egt_71_1212), 26641, 116},
	{EIF_GENERIC(NULL), 27409, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26643, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07E7 /*1011*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_72_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0791 /*968*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_73_1212), 27410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_74_1212), 27411, 144},
	{EIF_NON_GENERIC(0x07A9 /*980*/), 27412, 148},
	{EIF_GENERIC(egt_75_1212), 27413, 152},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27414, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27415, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27416, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27417, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27418, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27406, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27407, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_76_1212), 26918, 0xFFFFFFFF},
	{EIF_GENERIC(egt_77_1212), 26919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26920, 180},
	{EIF_GENERIC(egt_78_1212), 26921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_79_1212), 26922, 0xFFFFFFFF},
	{EIF_GENERIC(egt_80_1212), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0879 /*1084*/), 26925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_81_1212), 26926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26932, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26933, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26934, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26911, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26914, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26915, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_82_1212), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_83_1212), 26947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27227, 188},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27228, 192},
	{EIF_GENERIC(NULL), 27229, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27232, 0xFFFFFFFF},
	{EIF_GENERIC(egt_84_1212), 7442, 0xFFFFFFFF},
	{EIF_GENERIC(egt_85_1212), 7443, 0xFFFFFFFF},
	{EIF_GENERIC(egt_86_1212), 7444, 0xFFFFFFFF},
	{EIF_GENERIC(egt_87_1212), 7445, 0xFFFFFFFF},
	{EIF_GENERIC(egt_88_1212), 7446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04FF /*639*/), 7447, 24},
	{EIF_NON_GENERIC(0x04FF /*639*/), 7448, 28},
	{EIF_NON_GENERIC(0x04FF /*639*/), 7449, 32},
	{EIF_GENERIC(egt_89_1212), 7450, 36},
	{EIF_GENERIC(egt_90_1212), 7451, 40},
	{EIF_GENERIC(egt_91_1212), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_92_1212), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_93_1212), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_94_1212), 7452, 0xFFFFFFFF},
	{EIF_GENERIC(egt_95_1212), 7453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_96_1212), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_97_1212), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init1212(void)
{
	IDSC(desc_1212, 0, 1211);
	IDSC(desc_1212 + 1, 1, 1211);
	IDSC(desc_1212 + 32, 1513, 1211);
	IDSC(desc_1212 + 59, 292, 1211);
	IDSC(desc_1212 + 79, 810, 1211);
	IDSC(desc_1212 + 91, 206, 1211);
	IDSC(desc_1212 + 145, 101, 1211);
	IDSC(desc_1212 + 149, 938, 1211);
	IDSC(desc_1212 + 183, 476, 1211);
	IDSC(desc_1212 + 192, 1140, 1211);
	IDSC(desc_1212 + 199, 105, 1211);
	IDSC(desc_1212 + 241, 1417, 1211);
	IDSC(desc_1212 + 247, 250, 1211);
	IDSC(desc_1212 + 274, 1379, 1211);
	IDSC(desc_1212 + 310, 1147, 1211);
	IDSC(desc_1212 + 311, 303, 1211);
	IDSC(desc_1212 + 318, 353, 1211);
	IDSC(desc_1212 + 333, 1420, 1211);
	IDSC(desc_1212 + 335, 1623, 1211);
	IDSC(desc_1212 + 343, 790, 1211);
	IDSC(desc_1212 + 345, 317, 1211);
	IDSC(desc_1212 + 351, 477, 1211);
}


#ifdef __cplusplus
}
#endif
